Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Enum VLCAudio.VLCChannel

    java.lang.Object
      java.lang.Enum<VLCAudio.VLCChannel>
          chrriis.dj.nativeswing.swtimpl.components.VLCAudio.VLCChannel

All Implemented Interfaces:
  Serializable, Comparable<VLCAudio.VLCChannel>

Enclosing class:
  VLCAudio

    public static enum VLCAudio.VLCChannel

extends Enum<VLCAudio.VLCChannel>

An audio channel.

Author:
  Christopher Deckers

Enum Constant Summary
`DOLBY`
`LEFT`
`REVERSE_STEREO`
`RIGHT`
`STEREO`

Method Summary
`static VLCAudio.VLCChannel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VLCAudio.VLCChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STEREO

    public static final VLCAudio.VLCChannel STEREO

### REVERSE_STEREO

    public static final VLCAudio.VLCChannel REVERSE_STEREO

### LEFT

    public static final VLCAudio.VLCChannel LEFT

### RIGHT

    public static final VLCAudio.VLCChannel RIGHT

### DOLBY

    public static final VLCAudio.VLCChannel DOLBY

Method Detail

### values

    public static VLCAudio.VLCChannel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VLCAudio.VLCChannel c : VLCAudio.VLCChannel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VLCAudio.VLCChannel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD